- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers/batchReject#try-it)

Batch rejects `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s.

Only pending or active `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s can be rejected. Expired, rejected, and withdrawn `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s will be ignored.

This method is only intended to be called in response to a child user rejecting an invitation and exists to support the rejection of `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher`s that are not yet associated with an Ad Manager network.

To sever the relationship from the parent publisher's side, use `childPublishers.batchWithdraw`.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/childPublishers:batchReject`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `networks/{networkCode}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. Resource names of the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.childPublishers#ChildPublisher` to reject. Format: `networks/{networkCode}/childPublisher/{child_publisher_id}` |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).